classification
Title: Gzip/zlib allows for compression level=0
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: bbrazil, docs@python, nadeem.vawda, python-dev, sandro.tosi, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-08-15 20:35 by sandro.tosi, last changed 2012-11-11 13:25 by nadeem.vawda. This issue is now closed.

Files
File name Uploaded Description Edit
issue15677.patch bbrazil, 2012-09-28 11:48 review
Messages (5)
msg168332 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2012-08-15 20:35
As reported at http://mail.python.org/pipermail/docs/2012-August/009837.html gzip/zlib allows for a compression level=0 (that's basically no compression) so the documentation should mention that possibility too.
msg171443 - (view) Author: Brian Brazil (bbrazil) * Date: 2012-09-28 11:48
The attached patch fixes this.
msg175334 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-11-11 09:34
LGTM.
msg175363 - (view) Author: Roundup Robot (python-dev) Date: 2012-11-11 13:20
New changeset 735ef27fa231 by Nadeem Vawda in branch '2.7':
Issue #15677: Document that zlib and gzip accept a compression level of 0 to mean 'no compression'.
http://hg.python.org/cpython/rev/735ef27fa231

New changeset f6c4c178da56 by Nadeem Vawda in branch '2.7':
Issue #15677: Also fix docstrings in zlib module.
http://hg.python.org/cpython/rev/f6c4c178da56

New changeset 9dde30690f44 by Nadeem Vawda in branch '3.2':
Issue #15677: Document that zlib and gzip accept a compression level of 0 to mean 'no compression'.
http://hg.python.org/cpython/rev/9dde30690f44

New changeset 0e48bf45313c by Nadeem Vawda in branch '3.3':
Issue #15677: Document that zlib and gzip accept a compression level of 0 to mean 'no compression'.
http://hg.python.org/cpython/rev/0e48bf45313c

New changeset 21335c9fcec0 by Nadeem Vawda in branch 'default':
Issue #15677: Document that zlib and gzip accept a compression level of 0 to mean 'no compression'.
http://hg.python.org/cpython/rev/21335c9fcec0
msg175364 - (view) Author: Nadeem Vawda (nadeem.vawda) * (Python committer) Date: 2012-11-11 13:25
Committed. Thanks for the patch!
History
Date User Action Args
2012-11-11 13:25:21nadeem.vawdasetstatus: open -> closed
type: enhancement
messages: + msg175364

resolution: fixed
stage: commit review -> resolved
2012-11-11 13:20:34python-devsetnosy: + python-dev
messages: + msg175363
2012-11-11 09:34:55serhiy.storchakasetversions: + Python 3.4
nosy: + serhiy.storchaka, nadeem.vawda

messages: + msg175334

stage: needs patch -> commit review
2012-09-28 11:48:44bbrazilsetfiles: + issue15677.patch

nosy: + bbrazil
messages: + msg171443

keywords: + patch
2012-08-15 20:35:22sandro.tosicreate